# Documentation: https://docs.brew.sh/Formula-Cookbook
#                https://rubydoc.brew.sh/Formula
# PLEASE REMOVE ALL GENERATED COMMENTS BEFORE SUBMITTING YOUR PULL REQUEST!
class MsgCli < Formula
  desc "MacOS Subsystem for Guix - Creates a virtual machine for running a local guix environment on your mac"
  homepage "https://superkamiguru.org/projects/msg.html"
  url "https://forge.superkamiguru.org/MSG/msg-cli/archive/v0.1.0.tar.gz"
  sha256 "2f606ee8f476f4cb444514c5b6d0fc2bf707e80e11321aeab3a8b6e4e273e234"
  license "AGPL-3.0-or-later"

  bottle do
    rebuild 3
    root_url "https://forge.superkamiguru.org/MSG/homebrew-apps/releases/download/msg-cli_v0.1.0"
    sha256 arm64_sequoia: "3f511dbe21333adfbf023e9ce27a297fcd88f199b01e463b81661c603ae07552"
  end

  # depends_on "cmake" => :build
  depends_on "wget"
  depends_on "qemu"
  depends_on "autoconf" => :build
  depends_on "automake" => :build
  depends_on "libtool" => :build
  depends_on "guile-next"
  depends_on "texinfo"
  # Additional dependency
  # resource "" do
  #   url ""
  #   sha256 ""
  # end

  def install
    # Remove unrecognized options if they cause configure to fail
    # https://rubydoc.brew.sh/Formula.html#std_configure_args-instance_method
    ENV["GUILE_AUTO_COMPILE"] = "0"

    # We need this so we can find other modules.
    ENV["GUILE_LOAD_PATH"] = HOMEBREW_PREFIX/"share/guile/site/3.0"
    ENV["GUILE_LOAD_COMPILED_PATH"] = HOMEBREW_PREFIX/"lib/guile/3.0/site-ccache"
    ENV["GUILE_SYSTEM_EXTENSIONS_PATH"] = HOMEBREW_PREFIX/"lib/guile/3.0/extensions"
    system "autoreconf", "-vif"
    system "./configure", "--prefix=#{prefix}", "--libdir=#{prefix}/lib"
    system "make" 
    system "make", "install" 
    # system "cmake", "-S", ".", "-B", "build", *std_cmake_args
  end

  test do
    # `test do` will create, run in and delete a temporary directory.
    #
    # This test will fail and we won't accept that! For Homebrew/homebrew-core
    # this will need to be a test that verifies the functionality of the
    # software. Run the test with `brew test msg-cli`. Options passed
    # to `brew install` such as `--HEAD` also need to be provided to `brew test`.
    #
    # The installed folder is not in the path, so use the entire path to any
    # executables being tested: `system bin/"program", "do", "something"`.
    system "false"
  end
end
